#
# spec file for package perl-IRI
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IRI
Version:        0.006
Release:        lp150.1.3
%define cpan_name IRI
Summary:        Internationalized Resource Identifiers
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IRI/
#Source0:        https://cpan.metacpan.org/authors/id/G/GW/GWILLIAMS/%{cpan_name}-0.008.tar.gz
Source0:        IRI-0.006.tar.gz
Source1:        cpanspec.yml
Patch0:         fix-package.diff
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moo)
BuildRequires:  perl(MooX::HandlesVia)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Tiny) >= 0.008
BuildRequires:  perl(URI)
Requires:       perl(Moo)
Requires:       perl(MooX::HandlesVia)
Requires:       perl(Type::Tiny) >= 0.008
%{perl_requires}

%description
The IRI module provides an object representation for Internationalized
Resource Identifiers (IRIs) as defined by at
http://www.ietf.org/rfc/rfc3987.txt and supports their parsing,
serializing, and base resolution.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install;/use lib q[.];\nuse inc::Module::Install;/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Changes.ttl Changes.xml README

%changelog
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Thu Jul 21 2016 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-IRI/Changes
  0.006  2016-07-19
  - (Update) Fix regular expression use of quantifiers (#8 from Karl
    Williamson).
* Tue Apr 19 2016 opensuse@dstoecker.de
- update to version 0.0005
  - (Addition) Add ability to lazily parse IRI components.
  - (Addition) Add cpanfile, with Module::Install deps (#5 from Alberto
  Simões).
  - (Addition) Added Try::Tiny to list of build requirements (github issue
  [#3]).
  - (Update) Improve performance of IRI component parsing.
  - (Update) Update POD coverage test to ignore private attributes (#6 from
  Alberto Simões).
  - (Update) Updated required version of Type::Tiny to 0.008 to support use
  of InstanceOf (#7 from Alexandr Ciornii).
* Wed Mar 25 2015 coolo@suse.com
- initial package 0.004
  * created by cpanspec 1.78.08
- add fix-package.diff to get perl(IRI) from rpm
